BST ARTIFACT PULL(1)

NAME
bst-artifact-pull - Pull a built artifact

SYNOPSIS
bst artifact pull [OPTIONS] [ARTIFACTS]...

DESCRIPTION
Pull a built artifact from the configured remote artifact cache.

    Specifying no elements will result in pulling the default targets
    of the project. If no default targets are configured, all project
    elements will be pulled.

    When this command is executed from a workspace directory, the default
    is to pull the workspace element.

    By default the artifact will be pulled one of the configured caches
    if possible, following the usual priority order. If the `--artifact-remote`
    flag is given, only the specified cache will be queried.

    Specify `--deps` to control which artifacts to pull:

        none: No dependencies, just the element itself
        run: Runtime dependencies, including the element itself
        build: Build time dependencies, excluding the element itself
        all: All dependencies

OPTIONS

-d, --deps [build|none|run|all]
    The dependency artifacts to pull [default: none]

--artifact-remote REMOTE
    A remote for downloading artifacts

--ignore-project-artifact-remotes
    Ignore remote artifact cache servers recommended by projects